## ros-indigo-interactive-markers 1.11.4

=== debian/changelog ===
ros-indigo-interactive-markers (1.11.4-0trusty) trusty; urgency=high

  * Fixed a crash when updates arrive, or are being processed, while shutdown is called (#36 <https://github.com/ros-visualization/interactive_markers/issues/36>)
  * Contributors: Simon Schmeisser

 -- William Woodall <william@osrfoundation.org>  Mon, 16 Apr 2018 07:00:00 -0000

ros-indigo-interactive-markers (1.11.3-0trusty) trusty; urgency=high

  * The ``processFeedback`` function of the menu handler no longer catches the ``KeyErrors`` of the feedback_cb.
    See: #29 <https://github.com/ros-visualization/interactive_markers/issues/29>
  * Added the ``empty()`` and ``size()`` members to ``InteractiveMarkerServer`` interface.
    See: #30 <https://github.com/ros-visualization/interactive_markers/issues/30>
  * Contributors: Blake Anderson, Guglielmo Gemignani

 -- William Woodall <william@osrfoundation.org>  Wed, 24 Aug 2016 07:00:00 -0000

ros-indigo-interactive-markers (1.11.2-0trusty) trusty; urgency=high

  * Fix build when disabling tests with ``-DCATKIN_ENABLE_TESTING=OFF``.
    See: #26 <https://github.com/ros-visualization/interactive_markers/issues/26>
  * Fix use of uninitialized variables.
    See: #24 <https://github.com/ros-visualization/interactive_markers/issues/24>
  * Fix potential segfault when shutting down.
    See: #25 <https://github.com/ros-visualization/interactive_markers/issues/25>
  * Contributors: Alexis Ballier, David Gossow, Max Schwarz

 -- William Woodall <william@osrfoundation.org>  Wed, 24 Aug 2016 07:00:00 -0000

ros-indigo-interactive-markers (1.11.1-0trusty) trusty; urgency=high

  * Added explicit keyword argument queue_size for publisher in Python code and use the same default queue_size value as C++.
  * Fixed a SEGFAULT in setPose reported in #18 <https://github.com/ros-visualization/interactive_markers/issues/18>
    Previously, calling setPose() on an interactive marker causes a SEGFAULT
    if applyChanges() was not called on the server at least once since the
    marker was created. I traced the actual SEGFAULT to the doSetPose
    function. The value of header passed from setPose() is invalid because,
    in this case, marker_context_it = marker_contexts_.end().
    I added a check for this case and, if there is no marker is present,
    instead use the header from the pending update.
  * Contributors: David Gossow, Mike Koval, William Woodall, ipa-fxm

 -- William Woodall <william@osrfoundation.org>  Tue, 16 Dec 2014 08:00:00 -0000

ros-indigo-interactive-markers (1.11.0-0trusty) trusty; urgency=high

  * Adding William Woodall as maintainer
  * fix threading bugs
    Fix locking of data structures shared across threads.
  * Contributors: Acorn Pooley, William Woodall, hersh

 -- William Woodall <william@osrfoundation.org>  Mon, 24 Feb 2014 08:00:00 -0000

ros-indigo-interactive-markers (1.10.2-0trusty) trusty; urgency=high

  * fix regression in menu_handler.py
    fixes #14 <https://github.com/ros-visualization/interactive_markers/issues/14>
  * Contributors: William Woodall

 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Feb 2014 08:00:00 -0000

ros-indigo-interactive-markers (1.10.1-0trusty) trusty; urgency=high

  * cleanup python code and package contents
  * remove useless dependencies
  * Contributors: Vincent Rabaud, William Woodall

 -- David Gossow <dgossow@willowgarage.com>  Mon, 27 Jan 2014 08:00:00 -0000

ros-indigo-interactive-markers (1.10.0-0trusty) trusty; urgency=high

  * remove debug statement that could produce segfault; init_it->msg->markers may be empty
  * Contributors: Filip Jares

 -- David Gossow <dgossow@willowgarage.com>  Thu, 23 Jan 2014 08:00:00 -0000
